<?php
/**
 * @author Sinan Tekmil
 * @copyright 2014
 */
 
$image = array();
$image_url = 'http://img.youtube.com/vi/';
$url = null;
if( isset( $_GET['s'] ) ) {
	$url = $_GET['s'];
	$url = filter_var( $url, FILTER_SANITIZE_URL );
	if (filter_var($url , FILTER_VALIDATE_URL) === FALSE)
	$bilgi = "Geçersiz URL - Invalid URL";
	else {
		$query = explode( '=', parse_url($url)['query'] ); // Video ID al  - GET video ID
		if( isset( $query[1] ) ) {
			$image[0] = $image_url.$query[1].'/0.jpg'; // 480x360
			$image[1] = $image_url.$query[1].'/1.jpg'; // 120x90
			$image[2] = $image_url.$query[1].'/2.jpg'; // DEFAULT(VARSAYILAN) IMAGE 120x90
			// resim var mi? 
			$info = @getimagesize($image[0]);
			if( empty( $info ) ) $image = array(); // image ?
		}
	}
	if( empty( $image ) ) $bilgi = "Geçersiz URL - Invalid URL ";
}
?>

<!DOCTYPE html>
<html lang="tr" dir="ltr">
<head>
<!--[if IE]><meta http-equiv="X-UA-Compatible" content="IE=Edge"><![endif]-->
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="viewport" content="width=device-width,initial-scale=1.0">
<meta name="description" content="Get YouTube Thumbnail Images">
<meta name="author" content="Sinan Tekmil">
<title>Get YouTube Thumbnail Images</title>
<style>
body {
	background:#F3F3F3;
}
.container {
	width: 80%;
	position:relative;
	display:block;
	margin:0 auto;
	padding:10px;
	border:1px solid #dedede;
	background:#fff;
}
.frm_div {
	padding:10px;
}
.frm_div form input[type="text"] {
	padding:6px;
	width:98%;
}
.frm_div form .submit {
	padding:6px;
}
div.thumbnail {
	margin-top:10px;
	display:inline-block;
	float:left;
	padding:10px;
}

.thumbnail img {
	max-width:100%;
	height:auto;
}
.clearfix {
	display: block;
	clear:both;
}
.clearfix:before, .clearfix:after {
	display: table;
	content: " ";
}
.error {
	margin:3px;
	background:red;
	color:#fff;
	font-weight:bold;
	padding:6px;
}
</style>
</head>
<body>
<div class="container">
<?php if($bilgi):?>
<div class="error"><?php echo $bilgi?></div>
<?php endif?>
 <div class="frm_div">
<form>
<label for="video_url">Youtube Video URL</label>
<input type="text" id="video_url" name="s" value="<?php echo $url?>" placeholder="example: https://www.youtube.com/watch?v=UxqRoybgNyM">
<button type="submit" class="submit">Get Thumbnail</button>
</form>
</div>
<?php if(isset($image[2])):?>
<div class="thumbnail">
	<h4>Default Thumbnail - 120x90</h4>
	<img src="<?php echo $image[2]?>">
	<h5><?php echo $image[2]?></h5>
</div>
<?php endif?>

<?php if(isset($image[1])):?>

<div class="thumbnail">
	<h4>Thumbnail - 120x90</h4>
	<img src="<?php echo $image[1]?>">
	<h5><?php echo $image[1]?></h5>	
</div>
<?php endif?>
<?php if(isset($image[0])):?>
<div class="clearfix"></div>
<div class="thumbnail">
	<h4>Video Image - 480x360</h4>
	<img src="<?php echo $image[0]?>">
	<h5><?php echo $image[0]?></h5>	
</div>
<div class="clearfix"></div>
<?php endif?>

</body>
</html>